Bug 772521

Summary: Review Request: clib - A Library for providing advanced C functions
Product: [Fedora] Fedora Reporter: Arangamanikkannan Manickam <arangamani.kannan>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: danishka, eldermarco, i, package-review, panemade, sagarun, sanjay.ankur
Target Milestone: ---Flags: tibbs: needinfo? (arangamani.kannan)
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-04-26 22:34:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Arangamanikkannan Manickam 2012-01-08 22:21:46 EST
Spec URL: https://github.com/downloads/arangamani/clib/clib.spec
SRPM URL: https://github.com/downloads/arangamani/clib/clib-0.2.3-1.fc16.src.rpm
Description: 

clib is a development library which provides the end user with hashes,
arrays and other features that are very useful for programming in the
C programming language.

Note: This is my first package for fedora, and I need a SPONSOR.
Comment 1 Arangamanikkannan Manickam 2012-01-08 23:23:26 EST
rpmlint clib.spec ../SRPMS/clib* ../RPMS/*/clib*
clib.x86_64: W: no-documentation
clib-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 2 Arangamanikkannan Manickam 2012-01-14 08:32:32 EST
This is my first package. Do I miss any information here?
Comment 3 Arangamanikkannan Manickam 2012-01-14 17:03:08 EST
Updated the spec file and source to include documentation.

Spec URL: https://github.com/downloads/arangamani/clib/clib.spec
SRPM URL:
https://github.com/downloads/arangamani/clib/clib-0.2.3-1.fc16.src.rpm

rpmlint output:

rpmlint clib.spec ../SRPMS/clib* ../RPMS/*/clib*
4 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 4 Arangamanikkannan Manickam 2012-01-22 11:09:42 EST
Could someone please review this?
Comment 5 Jens Petersen 2012-02-06 02:41:28 EST
This sounds useful - maybe you could also compare with glib2
which also provides various data structures:

http://developer.gnome.org/glib/2.30/glib-data-types.html

and is quite widely used already in fedora.
Comment 6 Arangamanikkannan Manickam 2012-02-06 03:10:31 EST
Thanks Jens. glib2 provides a lot of functionality. But clib has str2sockaddr. I work with upstream to fix some issues with Red Black Trees which I wanted to include in the next version.
Comment 7 Danishka Navin 2012-07-27 03:05:03 EDT
here is my informal review


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.


==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint clib-0.2.3-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint clib-devel-0.2.3-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint clib-0.2.3-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint clib-debuginfo-0.2.3-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/danishka/772521/clib-0.2.3.tar.gz :
  MD5SUM this package     : a8ee67379ee58409023b33827ca4b640
  MD5SUM upstream package : a8ee67379ee58409023b33827ca4b640

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed


Generated by fedora-review 0.1.2
Comment 8 Elder Marco 2012-10-13 19:09:35 EDT
Just a few comments. If you don't have plans to maintain this package for EPEL, you can remove

* the BuildRoot tag;
* the %clean section;
% the %defattr section. This section is no longer necessary.

The Group tag is optional and you can remove it, if you want.

See the packaging guidelines:
https://fedoraproject.org/wiki/Packaging:Guidelines#Tags
https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions


I think you don't need to add glibc as BuildRequires:
https://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2
Comment 9 Arangamanikkannan Manickam 2012-12-07 02:29:05 EST
Thank you for your comments Elder. I'll make those updates.
Comment 10 Christopher Meng 2013-11-05 08:56:38 EST
Ping again after months, if you can't response in 15 days, I will submit a new one.
Comment 11 Parag AN(पराग) 2015-01-12 03:13:40 EST
Removing FE-NEEDSPONSOR from the closed review tickets.